/******************************moretypemovement.h文件说明**********************************
* Descript	:头文件，包含多段运动添加数据窗口的函数声明、头文件引用，以及宏定义
* Author    :caitiancheng
* Date      :2021_12_19
*******************************************************************************/
#ifndef MORETYPEMOVEMENT_H
#define MORETYPEMOVEMENT_H



/***********************************头文件****************************************/
#include <QWidget>
#include<QTableWidgetItem>
#include<QMessageBox>
#include<Base.h>


/***********************************类的声明和继承****************************************/
namespace Ui {
class MoreTypeMovement;
}

class MoreTypeMovement : public QWidget,public Base
{
    Q_OBJECT

public:
    explicit MoreTypeMovement(QWidget *parent = 0);
    ~MoreTypeMovement();


signals:
    void CloseWin();

protected:
  void closeEvent(QCloseEvent *event=NULL);

private slots:
  void on_AddRowDataBtn_clicked();

  void on_DelRowDataBtn_clicked();

  void on_UpRowDataBtn_clicked();

  void on_DownRowDataBtn_clicked();

  void on_WriteRowDataBtn_clicked();


private:
    Ui::MoreTypeMovement *ui;
    QList<QTableWidgetItem *> TableHeadItem;
    void InitDataTable();
    void CopyTableRow(int AtRow,int ToRow);
    void MoveTableRow(int AtRow,int ToRow);
    int GetTableNum(QString &Str,bool *ok=NULL);
};

#endif // MORETYPEMOVEMENT_H
